Уязвимость BDU:2020-01478

Дата: 05.11.2019. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-01478.

Наименование уязвимости: Уязвимость прокси-сервера Squid, существующая из-за недостаточной проверки входных данных, позволяющая нарушителю получить доступ к ограниченным HTTP-серверам.

Описание уязвимости: Уязвимость прокси-сервера Squid существует из-за недостаточной проверки входных данных. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, получить доступ к ограниченным HTTP-серверам с помощью специально сформированных HTTP-запроса
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Novell Inc. SUSE Linux Enterprise Server for SAP Applications 12 SP2 | Операционная система Novell Inc. SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL | Операционная система Novell Inc. SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS | Операционная система Novell Inc. SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS | Операционная система Novell Inc. SUSE Linux Enterprise Server for SAP Applications 12 SP3 | Операционная система Novell Inc. SUSE Linux Enterprise Server for SAP Applications 12 SP4 | Прикладное ПО информационных систем Novell Inc. SUSE OpenStack Cloud 7 | Операционная система Novell Inc. Suse Linux Enterprise Server 12 SP4 | Операционная система Canonical Ltd. Ubuntu 19.04 | Операционная система Novell Inc. OpenSUSE Leap 15.0 | Прикладное ПО информационных систем Novell Inc. SUSE Enterprise Storage 5 | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT | Операционная система Novell Inc. Suse Linux Enterprise Server 12 SP2-BCL | Операционная система Novell Inc. Suse Linux Enterprise Server 12 SP2-ESPOS | Операционная система Novell Inc. OpenSUSE Leap 15.1 | Операционная система Novell Inc. Suse Linux Enterprise Server 12 SP2-LTSS | Операционная система Fedora Project Fedora 30 | Операционная система Novell Inc. Suse Linux Enterprise Server 12 SP3-LTSS | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise Module for Server Applications 15 SP1 | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise Module for Server Applications 15 | Прикладное ПО информационных систем Novell Inc. SUSE OpenStack Cloud 8 | Операционная система Novell Inc. Suse Linux Enterprise Server 12 SP3-BCL | Операционная система Novell Inc. Suse Linux Enterprise Server 12 SP5 | Операционная система Novell Inc. SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL | Операционная система Novell Inc. SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS | Операционная система Novell Inc. SUSE Linux Enterprise Server for SAP Applications 12 SP5 | Прикладное ПО информационных систем Novell Inc. SUSE OpenStack Cloud Crowbar 8 | Операционная система Fedora Project Fedora 31 | Прикладное ПО информационных систем Novell Inc. HPE Helion Openstack 8 | Операционная система Novell Inc. Suse Linux Enterprise Server 12 SP3-ESPOS | Операционная система Novell Inc. SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS | Операционная система Canonical Ltd. Ubuntu 19.10 | Сетевое программное средство Squid Software Foundation Squid от 3.0 до 3.5.28 включительно | Сетевое программное средство Squid Software Foundation Squid от 4.0 до 4.8 включительно |

Наименование ОС и тип аппаратной платформы: Ubuntu 1604 LTS | Ubuntu 1804 LTS | Ubuntu 1904 | OpenSUSE Leap 150 | OpenSUSE Leap 151 | Fedora 30 | Fedora 31 | Ubuntu 1910 |
Дата выявления: 05.11.2019.
CVSS 2.0: AV:N/AC:L/Au:N/C:C/I:C/A:N
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 9,4)
Критический уровень опасности (базовая оценка CVSS 3.0 составляет 9,1)

Возможные меры по устранению:
Использование рекомендаций:
Для Squid:
Обновление прокси-сервера Squid до версии 4.9 или новее

Для программных продуктов Novell Inc.:
https://www.suse.com/security/cve/CVE-2019-12523/

Для Ubuntu:
https://usn.ubuntu.com/4213-1/

Для Fedora:
https://lists.fedoraproject.org/archives/list/[email protected]/message/MTM74TU2BSLT5B3H4F3UDW53672NVLMC/
https://lists.fedoraproject.org/archives/list/[email protected]/message/UEMOYTMCCFWK5NOXSXEIH5D2VGWVXR67/
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2019-12523.

Тип ошибки CWE: CWE-20
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://www.suse.com/security/cve/CVE-2019-12523/
https://nvd.nist.gov/vuln/detail/CVE-2019-12523
https://lists.opensuse.org/opensuse-security-announce/2019-11/msg00056.html
https://lists.fedoraproject.org/archives/list/package[email protected]/message/MTM74TU2BSLT5B3H4F3UDW53672NVLMC/
https://lists.fedoraproject.org/archives/list/[email protected]/message/UEMOYTMCCFWK5NOXSXEIH5D2VGWVXR67/
https://usn.ubuntu.com/4213-1/

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *